Subject: Re: [PATCH v2] e1000e: convert to stats64

From: Flavio Leitner <[email-masked]>
Date: Fri, 21 Jan 2011 15:03:40 -0200

On Thu, Dec 16, 2010 at 07:14:35PM -0800, Jeff Kirsher wrote:
> On Thu, Dec 16, 2010 at 04:31, Flavio Leitner <[email-masked]> wrote:
> > On Tue, Dec 14, 2010 at 10:29:33PM +0100, Eric Dumazet wrote:
> >> Le mardi 14 décembre 2010 à 18:32 -0200, Flavio Leitner a écrit :
> >> > Provides accurate stats at the time user reads them.
> >> >
> >> > Signed-off-by: Flavio Leitner <[email-masked]>
> >> > ---
> >> >  drivers/net/e1000e/e1000.h   |    5 ++-
> >> >  drivers/net/e1000e/ethtool.c |   27 +++++++++-------
> >> >  drivers/net/e1000e/netdev.c  |   68 ++++++++++++++++++++++++-----------------
> >> >  3 files changed, 59 insertions(+), 41 deletions(-)
> >> >
> >> > diff --git a/drivers/net/e1000e/e1000.h b/drivers/net/e1000e/e1000.h
> >> > index fdc67fe..5a5e944 100644
> >> > --- a/drivers/net/e1000e/e1000.h
> >> > +++ b/drivers/net/e1000e/e1000.h
> >> > @@ -363,6 +363,8 @@ struct e1000_adapter {
> >> >     /* structs defined in e1000_hw.h */
> >> >     struct e1000_hw hw;
> >> >
> >> > +   spinlock_t stats64_lock;
> >> > +   struct rtnl_link_stats64 stats64;
> >>
> >> I am not sure why you add this stats64 in e1000_adapter ?
> >>
> >> Why isnt it provided by callers (automatic variable, or provided to
> >> ndo_get_stats64()). I dont see accumulators, only a full rewrite of this
> >> structure in e1000e_update_stats() ?
> >
> > Good point. I have modified the patch to fix that.
> > thanks!
> >
> > From 3487bd7dacd0c23bba315270139dab6e00e5ff02 Mon Sep 17 00:00:00 2001
> > From: Flavio Leitner <[email-masked]>
> > Date: Thu, 16 Dec 2010 10:26:03 -0200
> > Subject: [PATCH] e1000e: convert to stats64
> >
> > Provides accurate stats at the time user reads them.
> >
> > Signed-off-by: Flavio Leitner <[email-masked]>
> > ---
> >  drivers/net/e1000e/e1000.h   |    3 ++
> >  drivers/net/e1000e/ethtool.c |   25 ++++++++-------
> >  drivers/net/e1000e/netdev.c  |   68 +++++++++++++++++++++++++++++++++--------
> >  3 files changed, 70 insertions(+), 26 deletions(-)
> >
> 
> I have dropped you previous version of the patch and applied v2 to my
> tree for review and testing.
> Thanks Flavio!

Hi Jeff,

Do you have any feedback on this patch?
thanks,
-- 
Flavio

------------------------------------------------------------------------------
Special Offer-- Download ArcSight Logger for FREE (a $49 USD value)!
Finally, a world-class log management solution at an even better price-free!
Download using promo code Free_Logger_4_Dev2Dev. Offer expires 
February 28th, so secure your free ArcSight Logger TODAY! 
http://p.sf.net/sfu/arcsight-sfd2d
_______________________________________________
E1000-devel mailing list
[email-masked]
https://lists.sourceforge.net/lists/listinfo/e1000-devel
To learn more about Intel&#174; Ethernet, visit http://communities.intel.com/community/wired